Details

    • Type: Sub-task
    • Status: Closed
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: 2.0
    • Fix Version/s: 2.2
    • Component/s: Module: Register
    • Labels:
      None
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_22_STABLE

      Description

      Migrate Register module to 2.0

        Gliffy Diagrams

          Activity

          Hide
          nicus Lorenzo Nicora added a comment -

          I developed a replacement of mod/register for Moodle 2.2+
          https://github.com/nicusX/moodle-mod_attendanceregister

          This is not an upgrade of mod/register.
          It is a new activity module with the same general features of the old one.
          A script to import data from the old register db tables will be soon provided.

          Show
          nicus Lorenzo Nicora added a comment - I developed a replacement of mod/register for Moodle 2.2+ https://github.com/nicusX/moodle-mod_attendanceregister This is not an upgrade of mod/register. It is a new activity module with the same general features of the old one. A script to import data from the old register db tables will be soon provided.
          Hide
          carinam Carina Martinez added a comment -

          Hello Lorenzo! Great job! thanks!!
          I wonder if this module works in Moodle 2.0 too?
          Thank you again.

          Show
          carinam Carina Martinez added a comment - Hello Lorenzo! Great job! thanks!! I wonder if this module works in Moodle 2.0 too? Thank you again.
          Hide
          nicus Lorenzo Nicora added a comment - - edited

          The new Attendance Register (https://github.com/nicusX/moodle-mod_attendanceregister, http://moodle.org/plugins/view.php?plugin=mod_attendanceregister) is compatile with 2.2 and later.
          It has been reported to be compatible with 2.1 (forcing required moodle version in version.php), but no extensive testing has been done.
          I'm quite sure it is not compatible with 2.0, but I never tried and no one reported me.

          Show
          nicus Lorenzo Nicora added a comment - - edited The new Attendance Register ( https://github.com/nicusX/moodle-mod_attendanceregister , http://moodle.org/plugins/view.php?plugin=mod_attendanceregister ) is compatile with 2.2 and later. It has been reported to be compatible with 2.1 (forcing required moodle version in version.php), but no extensive testing has been done. I'm quite sure it is not compatible with 2.0, but I never tried and no one reported me.

            People

            • Votes:
              1 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Fix Release Date:
                5/Dec/11

                Development